/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 20/08/22.
//

#include "fggl/data/module.hpp"

namespace fggl::data {

	bool LocalStorage::factory(modules::ModuleService service, modules::Services& data) {
		if (service == SERVICE_STORAGE) {
			// FIXME: no easy way to set the application name
			auto pathConfig = fggl::platform::calc_engine_paths("fggl-demo");
			data.create<Storage>(pathConfig);
			return true;
		}
		return false;
	}

} // namespace fggl::data